﻿@{
    ViewBag.Title = "Home Page";
}


<div class="jumbotron">
    <h1>PictYour</h1>
    <p class="lead">Find images all around the world</p>
    <p><a href="https://localhost:44398/Account/Login" class="btn btn-primary btn-lg">Start &raquo;</a></p>
</div>

@*<div class="jumbotron">
        <h1>ASP.NET</h1>
        <p class="lead">ASP.NET is a free web framework for building great Web sites and Web applications using HTML, CSS and JavaScript.</p>
        <p><a href="https://asp.net" class="btn btn-primary btn-lg">Learn more &raquo;</a></p>
    </div>

    <div class="row">
        <div class="col-md-4">
            <h2>Getting started</h2>
            <p>
                ASP.NET MVC gives you a powerful, patterns-based way to build dynamic websites that
                enables a clean separation of concerns and gives you full control over markup
                for enjoyable, agile development.
            </p>
            <p><a class="btn btn-default" href="https://go.microsoft.com/fwlink/?LinkId=301865">Learn more &raquo;</a></p>
        </div>
        <div class="col-md-4">
            <h2>Get more libraries</h2>
            <p>NuGet is a free Visual Studio extension that makes it easy to add, remove, and update libraries and tools in Visual Studio projects.</p>
            <p><a class="btn btn-default" href="https://go.microsoft.com/fwlink/?LinkId=301866">Learn more &raquo;</a></p>
        </div>
        <div class="col-md-4">
            <h2>Web Hosting</h2>
            <p>You can easily find a web hosting company that offers the right mix of features and price for your applications.</p>
            <p><a class="btn btn-default" href="https://go.microsoft.com/fwlink/?LinkId=301867">Learn more &raquo;</a></p>
        </div>
    </div>*@


<div style="text-align: center">
    <center>
        <table cellpadding="5" cellspacing="0" style="border: 2px solid #0066CC; width: 60%;">
            <tr>
                <td style="width: 40%;">
                    Search:
                    <asp:TextBox ID="SearchTextBox" runat="server"></asp:TextBox>
                    <asp:Button ID="GoButton" runat="server" Text="GO"
                                OnClick="GoButton_Click" />
                </td>
                <td style="vertical-align: top">
                    <asp:Label ID="PhotoDateTaken" runat="server"></asp:Label>
                </td>
            </tr>
            <tr>
                <td style="vertical-align: top">
                    <asp:DataList ID="ThumbnailsList" runat="server" HorizontalAlign="Center"
                                  RepeatColumns="3" Width="100%"
                                  OnSelectedIndexChanged="ThumbnailsList_SelectedIndexChanged">

                        <ItemStyle HorizontalAlign="Center" />
                        <ItemTemplate>

                            <asp:ImageButton ID="ThumbnailImage" runat="server"
                                             ImageUrl='<%# Eval("SquareThumbnailUrl") %>'
                                             AlternateText='<%# Eval("Title") %>'
                                             ToolTip='<%# Eval("Title") %>'
                                             CommandName="Select">
                            </asp:ImageButton>

                            <asp:Literal ID="HiddenPhotoId" runat="server"
                                         Text='<%# Eval("PhotoId") %>' Visible="false" />
                            <asp:Literal ID="HiddenPhotoUrl" runat="server"
                                         Text='<%# Eval("MediumUrl") %>' Visible="false" />

                        </ItemTemplate>
                    </asp:DataList>
                </td>
                <td style="vertical-align: top">
                    <asp:Image ID="PreviewImage" runat="server" />
                </td>
            </tr>
            <tr>
                <td style="vertical-align: top">&nbsp;</td>
                <td style="vertical-align: top">
                    <asp:Label ID="PhotoDescription" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </center>
</div>


<asp:Content runat="server" ContentPlaceHolderID="ContentPlaceHolder1">
    <div class="container">

        <div class="row">
            <h1>Authentication</h1>
        </div>
        <div class="row">
            <p>This page illustrates how you might call the Flickr API and return a collection of photos and display them on the screen.</p>
            <p>Don't forget to always link back to the Flickr Page for each photo you display.</p>
        </div>
        <div class="row">
            <div class="panel panel-default">
                <div class="panel-body">
                    <p>Enter your USER ID in the box below and exit the box will refresh the page and update the selection of photos.</p>
                    <p>Alternatively authenticate, and your USER ID will automatically be picked up.</p>
                </div>
            </div>
        </div>
        <form runat="server" class="form-horizontal">
            <div class="row">
                <div class="form-group">
                    <label for="UserIdTextBox" class="col-xs-2">User ID: </label>
                    <div class="col-xs-4">
                        <asp:TextBox runat="server" ID="UserIdTextBox" ClientIDMode="Static" CssClass="form-control col-xs-4" Text="41888973@N00"
                                     AutoPostBack="True"></asp:TextBox>
                    </div>
                    <div class="col-xs-6">
                        <span>If you are authenticated then this box will default to your user ID.</span>
                    </div>
                </div>
            </div>
            <div class="row">
                <asp:Repeater ID="GridView1" runat="server" DataSourceID="PhotostreamDataSource">
                    <ItemTemplate>
                        <div class="pull-left" style="padding: 1rem">
                            <div>
                                <img src="<%#DataBinder.Eval(Container.DataItem, " LargeSquareThumbnailUrl")%>" alt="<%#DataBinder.Eval(Container.DataItem, "Title")%>" />
                            </div>
                            <div><%#DataBinder.Eval(Container.DataItem, "Title")%></div>
                            <div><a href="<%#DataBinder.Eval(Container.DataItem, " WebUrl")%>"><%#DataBinder.Eval(Container.DataItem, "PhotoId")%></a></div>
                        </div>
                    </ItemTemplate>
                </asp:Repeater>
                <asp:ObjectDataSource ID="PhotostreamDataSource" runat="server"
                                      EnableCaching="True" SelectMethod="GetPhotostream"
                                      TypeName="WebApp.Photostream">
                    <SelectParameters>
                        <asp:ControlParameter ControlID="UserIdTextBox" Name="userId"
                                              PropertyName="Text" Type="String" />
                    </SelectParameters>
                </asp:ObjectDataSource>
            </div>
        </form>
        <div class="row">&nbsp;</div>
        <div class="row">
            <div class="panel panel-default">
                <div class="panel-body">
                    <p>Clicking the link below will redirect you to the source code for this web age (the C# file behind).</p>
                    <p>
                        <a href="https://github.com/samjudson/flickrnet-samples/blob/master/WebApp/Photostream.aspx.cs">View Source Code</a>
                    </p>
                </div>
            </div>
        </div>
    </div>
</asp:Content>